%%

%public
%class ScannerJFlex
%function leToken
%type Token

%%

[ \n\t]    { }

[0-9]+  { return new Token(1, yytext()); }

write    { return new Token(3, yytext()); }
read    { return new Token(4, yytext()); }
if    { return new Token(5, yytext()); }
then    { return new Token(6, yytext()); }
else    { return new Token(7, yytext()); }
end    { return new Token(8, yytext()); }
repeat    { return new Token(9, yytext()); }
until    { return new Token(10, yytext()); }

[a-zA-Z][a-zA-Z0-9_]* { return new Token(2, yytext()); }

[+]  { return new Token('+', yytext()); }
[-]  { return new Token('-', yytext()); }
[*]  { return new Token('*', yytext()); }
[/]  { return new Token('/', yytext()); }
[=]  { return new Token('=', yytext()); }
[<]  { return new Token('<', yytext()); }
[(]  { return new Token('(', yytext()); }
[)]  { return new Token(')', yytext()); }
;    { return new Token(';', yytext()); }
[:][=] { return new Token(11, yytext()); }

<<EOF>>    { return new Token(0, "<<EOF>>"); }

.          { throw new RuntimeException("caractere invlido "+yytext()); }
